---
title: "PUT /_system/blueprintvalidation/{guid}/{updatehash} - Blueprint Validation · RUAL Documentation"
description: "Update existing blueprint validation rule"
canonical: https://docs.rual.nl/cluster/api/blueprint-validation/system-blueprintvalidation--guid---updatehash-put
language: en
---

# PUT /_system/blueprintvalidation/{guid}/{updatehash}

Update existing blueprint validation rule

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **guid** required | `string` | `"example"` | Unique identifier (GUID) |
| **updatehash** required | `string` | `"example"` | Update hash for optimistic locking |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "message": "ok",
  "parameters": {
    "order_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "retries": 0
  },
  "rule_type": "term",
  "severity": "error"
}
```

```
{
  "error": "ERROR_KEY"
}
```

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintvalidation_update` | Required scope: blueprintvalidation_update |
